Instagram Followers Count API
curl --request POST \
--url https://api.socq.ai/v1/instagram/followers-count \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"query": "<string>",
"callback_url": "<string>",
"results_limit": 1000,
"urls": [
"<string>"
],
"usernames": [
"<string>"
]
}
'import requests
url = "https://api.socq.ai/v1/instagram/followers-count"
payload = {
"query": "<string>",
"callback_url": "<string>",
"results_limit": 1000,
"urls": ["<string>"],
"usernames": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
query: '<string>',
callback_url: '<string>',
results_limit: 1000,
urls: ['<string>'],
usernames: ['<string>']
})
};
fetch('https://api.socq.ai/v1/instagram/followers-count', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"data": {
"task_id": "<string>",
"status": "<string>",
"created_time": "<string>",
"idempotent_replay": true
}
}Instagram 关注者数量
采集公共 Instagram 关注者和关注计数。
POST
/
v1
/
instagram
/
followers-count
Instagram Followers Count API
关注者计数
采集 Instagram 个人资料的公共关注者和关注计数。端点
POST https://api.socq.ai/v1/instagram/followers-count
请求正文
{
"usernames": ["instagram"]
}
与 MCP 一起使用
| 接口 | 值 |
|---|---|
| REST | POST /v1/instagram/followers-count |
| Compact MCP | socq_execute 与 endpoint: "instagram/followers-count" |
| Typed MCP | socq_instagram_followers_count |
| 精确工具 URL | https://api.socq.ai/mcp?tools=instagram_followers_count |
| CLI | socq instagram followers-count |
socq_execute 的嵌套 input 对象,或将相同的字段直接传递给Typed 工具。Typed 工具还接受 _wait_seconds、_result_limit 和 _idempotency_key。
成功的采集将返回
task_id。继续 socq_get_task 直到任务成功,然后从 results.items 读取规范化记录。结果项
任务成功后,调用GET /v1/tasks/{task_id}读取results下分页的个人资料指标记录。
{
"id": "25025320",
"platform": "instagram",
"resource": "followers-count",
"type": "profile_metrics",
"username": "instagram",
"name": "Instagram",
"url": "https://www.instagram.com/instagram",
"avatar_url": "https://example.com/avatar.jpg",
"is_verified": true,
"is_private": false,
"metrics": {
"followers_count": 685829413,
"following_count": 251,
"posts_count": null
},
"created_at": null,
"collected_at": "2026-07-08T08:59:45",
"extra": {
"snapshot_time": "2026-07-08 - 02:02"
}
}
{
"usernames": ["instagram", "creators"]
}
响应
{
"code": 200,
"data": {
"task_id": "A1B2C3D4E5F6G7H8",
"status": "queued",
"created_time": "2026-07-08T10:30:00"
}
}
授权
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
- Option 1
- Option 2
- Option 3
⌘I

